Multivariate Pattern Analysis in Python

# mvpa2.base.dochelpers

Various helpers to improve docstrings and textual output

Functions

`borrowdoc`(cls[, methodname]) | Return a decorator to borrow docstring from another `cls`.`methodname`
`borrowkwargs`(cls[, methodname, exclude]) | Return a decorator which would borrow docstring for `**kwargs`
`enhanced_doc_string`(item, *args, **kwargs) | Generate enhanced doc strings for various items.
`get_docstring_split`(f) | Given a function, break it up into portions
`handle_docstring`(text[, polite]) | Take care of empty and non existing doc strings.
`safe_str`(obj) | Return string of an object even if str() call fails
`single_or_plural`(single, plural, n) | Little helper to spit out single or plural version of a word.
`strip_strid`(s) | Strip off strids (#NUMBER) within a string
`table2string`(table[, out]) | Given list of lists figure out their common widths and print to out

Classes